NX Open C++ Reference Guide
|
Represents a GeometricUtilities::FacePlaneSelectionBuilder. More...
Public Types | |
enum | TrimObjectType { TrimObjectTypePlane, TrimObjectTypeFace, TrimObjectTypeEdge } |
Specifies the object type for blend endcap objects. More... | |
Public Member Functions | |
bool | IsOk () |
Returns the data OK flag Created in NX7.0.0. | |
bool | LimitTopolSwitchFinFlag () |
Returns the limit edge switch fin flag Created in NX8.0.0. | |
NXOpen::Point * | PlaneHelpPoint () |
Returns the user plane cap help point Created in NX6.0.0. | |
NXOpen::ScCollector * | SelectEdge () |
Returns the select limit edge Created in NX8.0.0. | |
NXOpen::GeometricUtilities::FaceSetData * | SelectFace () |
Returns the select face Created in NX6.0.0. | |
NXOpen::Plane * | SelectPlane () |
Returns the select plane Created in NX6.0.0. | |
void | SetLimitTopolSwitchFinFlag (bool switchFlag) |
Sets the limit edge switch fin flag Created in NX8.0.0. | |
void | SetOk (bool isOk) |
Sets the data OK flag Created in NX7.0.0. | |
void | SetPlaneHelpPoint (NXOpen::Point *helpPoint) |
Sets the user plane cap help point Created in NX6.0.0. | |
void | SetSelectPlane (NXOpen::Plane *selectPlane) |
Sets the select plane Created in NX6.0.0. | |
void | SetTrimObject (NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::TrimObjectType trimObject) |
Sets the trim object Created in NX6.0.0. | |
void | SetUseFaceCapBlend (bool useFaceCapBlend) |
Sets the use face cap blend flag Created in NX8.0.0. | |
void | SetUsePlaneCapBlend (bool usePlaneCapBlend) |
Sets the use plane cap blend Created in NX6.0.0. | |
NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::TrimObjectType | TrimObject () |
Returns the trim object Created in NX6.0.0. | |
bool | UseFaceCapBlend () |
Returns the use face cap blend flag Created in NX8.0.0. | |
bool | UsePlaneCapBlend () |
Returns the use plane cap blend Created in NX6.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GeometricUtilities::FacePlaneSelectionBuilder.
Created in NX6.0.0.
bool NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::IsOk | ( | ) |
Returns the data OK flag
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::LimitTopolSwitchFinFlag | ( | ) |
Returns the limit edge switch fin flag
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::PlaneHelpPoint | ( | ) |
Returns the user plane cap help point
Created in NX6.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SelectEdge | ( | ) |
Returns the select limit edge
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::FaceSetData* NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SelectFace | ( | ) |
Returns the select face
Created in NX6.0.0.
License requirements : None
NXOpen::Plane* NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SelectPlane | ( | ) |
Returns the select plane
Created in NX6.0.0.
License requirements : None
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetLimitTopolSwitchFinFlag | ( | bool | switchFlag | ) |
Sets the limit edge switch fin flag
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
switchFlag | switchflag |
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetOk | ( | bool | isOk | ) |
Sets the data OK flag
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
isOk | isok |
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetPlaneHelpPoint | ( | NXOpen::Point * | helpPoint | ) |
Sets the user plane cap help point
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
helpPoint | helppoint |
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetSelectPlane | ( | NXOpen::Plane * | selectPlane | ) |
Sets the select plane
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
selectPlane | selectplane |
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetTrimObject | ( | NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::TrimObjectType | trimObject | ) |
Sets the trim object
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
trimObject | trimobject |
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetUseFaceCapBlend | ( | bool | useFaceCapBlend | ) |
Sets the use face cap blend flag
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
useFaceCapBlend | usefacecapblend |
void NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::SetUsePlaneCapBlend | ( | bool | usePlaneCapBlend | ) |
Sets the use plane cap blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
usePlaneCapBlend | useplanecapblend |
NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::TrimObjectType NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::TrimObject | ( | ) |
Returns the trim object
Created in NX6.0.0.
License requirements : None
bool NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::UseFaceCapBlend | ( | ) |
Returns the use face cap blend flag
Created in NX8.0.0.
License requirements : None
bool NXOpen::GeometricUtilities::FacePlaneSelectionBuilder::UsePlaneCapBlend | ( | ) |
Returns the use plane cap blend
Created in NX6.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.